## ispell 3.4.00

=== Makefile ===
#
# $Id: Makefile,v 1.127 2015-02-08 01:10:54-08 geoff Exp $
#
# Copyright 1992, 1993, 1999, 2001, 2005, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. The code that causes the 'ispell -v' command to display a prominent
#    link to the official ispell Web site may not be removed.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# You will have to create a local.h file before building; look over
# config.X to learn what things you may need to define, or use one of
# the sample local.h files shipped.
#
# the argument syntax for buildhash to make alternate dictionary files
# is simply:
#
#   buildhash <dictfile> <affix-file> <outfile>

# $Log: Makefile,v $
# Revision 1.127  2015-02-08 01:10:54-08  geoff
# Support DESTDIR.
#
# Revision 1.126  2015-02-08 00:44:20-08  geoff
# During installation, make sure we don't accidentally get stuck in BINDIR.
#
# Revision 1.125  2005/09/06 06:31:32  geoff
# In the "doedit" dependency, pick out the ispell version and make it
# available to edited files.
#
# Revision 1.124  2005/05/25 13:56:32  geoff
# Make language subdirectories in reverse order so that the English
# makefiles can install a default dictionary linked to the first-mentioned
# language.
#
# Revision 1.123  2005/05/25 13:22:33  geoff
# Bug fix: make sure HASHSUFFIX set before using it during installation.
#
# Revision 1.122  2005/05/01 23:19:12  geoff
# Make constructed files depend on the Makefile
#
# Revision 1.121  2005/05/01 23:07:59  geoff
# Add EXTEXT usage (courtesy of Eli Zaretskii).
#
# Revision 1.120  2005/05/01 22:35:00  geoff
# Get rid of references to fixispell-a in the installation process (but
# blow away any previously installed copies).  Add BAKEXT to the stuff
# that's in config.sh and that's substituted when editing .X files.
# Sort the list of edit substitutions.  When generating DEFHASH, use the
# configurable has suffix.
#
# Revision 1.119  2005/04/28 01:03:11  geoff
# Improve the generation of defhash.h to set up DEFLANG and to allow all
# definitions to be overridden by local.h.  Clean up defhash.h in "make
# clean".
#
# Revision 1.118  2005/04/28 00:26:06  geoff
# Dynamically generate MASTERHASH and DEFHASH from the first dictionary
# name specified in LANGUAGES.
#
# Revision 1.117  2005/04/27 01:18:34  geoff
# Work around idiotic POSIX incompatibilies in tail.  Proactively use
# the -e switch to sed against the day when they decide to make sed
# incompatible as well.
#
# Revision 1.116  2005/04/21 14:08:58  geoff
# Insert a missing "silencing at".  Change the name of the sample
# local.h file.
#
# Revision 1.115  2005/04/14 15:19:37  geoff
# Fix typos in the special term.o rule.
#
# Revision 1.114  2005/04/14 14:38:23  geoff
# Update license.  Integrate Ed Avis's changes.  Add fixispell-a (broken
# though it is).  Generate ispell.5 dynamically.  Put term.o first to
# improve detection of misconfigurations, and generate a special message
# if it won't compile.  Play funny games with y.tab.c to deal with
# MS-DOS stupidity.
#
# Revision 1.113  2002/06/20 23:46:15  geoff
# Put sq/unsq back, since some dictionaries are still distributed in sq
# format.  Add code to make directory paths when necessary.
#
# Revision 1.112  2001/09/06 00:30:28  geoff
# Many changes from Eli Zaretskii to support DJGPP compilation.
#
# Revision 1.111  2001/07/25 21:51:45  geoff
# Minor license update.
#
# Revision 1.110  2001/07/23 20:24:02  geoff
# Update the copyright and the license.
#
# Revision 1.109  2001/06/07 19:06:33  geoff
# When creating local.h, make it user-writable.
#
# Revision 1.108  2001/06/07 08:02:18  geoff
# Add the deformatters to the default dependencies.
#
# Revision 1.107  1999/01/13 01:34:15  geoff
# Get rid of some leftover references to emacs stuff.
#
# Revision 1.106  1999/01/08  04:32:31  geoff
# Don't try to build or install ispell.el and ispell.info.
#
# Revision 1.105  1999/01/07  01:22:29  geoff
# Update the copyright.  Get rid of old shar-based dictionary building.
#
# Revision 1.104  1995/11/08  05:09:06  geoff
# When invoking "showversion", ignore any errors that happen.  Fix a
# place where I forgot to double a dollar sign in install-languages.
#
# Revision 1.103  1995/10/25  03:35:38  geoff
# Don't assume the presence of "head" in the showversion dependency; use
# old reliable sed instead.  Also make showversion depend on ispell
# itself, since it uses it.
#
# Revision 1.102  1995/10/11  04:30:25  geoff
# Allow DEFHASH and MASTERHASH to be the same.
#
# Revision 1.101  1995/08/05  23:19:33  geoff
# Add the showversion target to ease the job of debugging people's make
# output.  Make sure SHELLDEBUG is set for the entire process of making
# config.sh.
#
# Revision 1.100  1995/03/06  02:42:39  geoff
# Run iwhich explicitly from the shell, so that we don't have to worry
# about PATH problems and whether it's executable or not.  Also fix a
# place where -nw was not removed from the batch emacs switch list.
#
# Revision 1.99  1995/01/08  23:23:23  geoff
# Get rid of an obsolete etags flag.  Add some new variables to config.sh.
#
# Revision 1.98  1994/12/27  23:08:43  geoff
# Use the new "iwhich" script to decide whether to install emacs-related
# stuff.  Make correct.o depend on version.h so that "ispell -a" always
# reports the correct version.
#
# Revision 1.97  1994/11/21  07:02:51  geoff
# Specify default values for the BUILD macros, so that some systems
# don't accidentally override them and make ispell think that the
# dictionaries are missing.
#
# Revision 1.96  1994/10/25  05:45:54  geoff
# Make the installation command configurable.
#
# Revision 1.95  1994/10/18  04:03:17  geoff
# Get rid of DICTVARIANTS, which is obsolete.  Compile term.o first, so
# that errors in it (which are common) will show up first.  Improve the
# rules for generation of msgs.h.
#
# Revision 1.94  1994/09/16  05:06:55  geoff
# Split installation up into basic and dictionary-building tools, so
# that we can have a partial-install target.
#
# Revision 1.93  1994/09/16  04:51:28  geoff
# Handle installations that have ELISPDIR but not TEXINFODIR
#
# Revision 1.92  1994/09/16  02:45:52  geoff
# Don't strip non-binaries.  Fix an accidentally-doubled backslash.
#
# Revision 1.91  1994/08/31  05:58:27  geoff
# Strip binaries before installing them.  Create directories before
# installing into them.  Make sure manual pages are installed with the
# correct protection modes.
#
# Revision 1.90  1994/05/25  04:29:16  geoff
# Don't remove english.4 after the English makefile has carefully
# installed it.
#
# Revision 1.89  1994/05/24  05:31:22  geoff
# Return to the old sed-based method of parsing LANGUAGES, so that things
# will work on broken systems like BSDI.
#
# Revision 1.88  1994/05/24  04:54:30  geoff
# Fix the emacs installation to use emacs batch mode properly, so that a
# terminal isn't required.
#
# Revision 1.87  1994/03/21  01:55:17  geoff
# If a hard link can't be made to msgs.h, copy it instead
#
# Revision 1.86  1994/02/22  06:09:03  geoff
# Add SHELLDEBUG.  Change the language-subdirs target to use the shell
# IFS variable to parse things, simplifying things and improving
# efficiency (thanks to Hagen Ross for the idea and implemenation).
#
# Revision 1.85  1994/02/13  23:25:31  geoff
# Fix multiple-language processing to not pass subsequent specifications to
# the first Makefile.  Also fix the language shell loop to be more flexible.
#
# Revision 1.84  1994/02/07  08:10:40  geoff
# When processing the LANGUAGES configuration variable (from local.h),
# use sed instead of expr to process it.  This gets around versions of
# expr that have 127-character limitations (though it probably still
# limits us to 512 characters with some versions of sed, so further work
# may be needed here).
#
# Revision 1.83  1994/02/07  06:31:20  geoff
# Clarify how to change variables in local.h
#
# Revision 1.82  1994/02/07  06:29:31  geoff
# Add a dummy else clause to shell if-test for Ultrix
#
# Revision 1.81  1994/02/07  05:35:34  geoff
# Make realclean run dictclean
#
# Revision 1.80  1994/01/26  07:44:43  geoff
# Make yacc configurable through local.h.
#
# Revision 1.79  1994/01/25  07:11:11  geoff
# Get rid of all old RCS log lines in preparation for the 3.1 release.
#
#

#
# !!!DO NOT EDIT HERE!!!
#
# Unlike previous versions of ispell, there should be no need to edit
# your Makefile.  Instead, #define the corresponding variables in your
# local.h file; the Makefile will automatically pick them up.  The
# only reason you should need to edit the Makefile might to be to add
# non-English dictionary support.
#
# For example, if you want to set CFLAGS to "-g -Wall", don't put it
# here.  Put:
#
#	#define CFLAGS	"-g -Wall"
#
# in local.h.  Otherwise, it won't have any effect.
#
EXTRADICT = Use_config.sh

SHELL = /bin/sh
MAKE = make

#
# Prefix to apply to installation directories.  This is not controlled
# by config.X; if you want to make a global change of that sort you
# should just set BINDIR, LIBDIR, etc. appropriately.  The DESTDIR
# prefix is useful if you want to specify a prefix at the time you
# invoke make; this approach is useful in some large installations.
#
# Note that DESTDIR should be specified with a trailing slash.
#
DESTDIR =

#
#	Set this to "-vx" in the make command line if you need to
#	debug the complex shell commands.
#
SHELLDEBUG = +vx

all:	config.sh
all:	programs defmt-programs showversion ispell.1 ispell.5
all:	all-languages

programs: buildhash findaffix tryaffix ispell
programs: icombine ijoin munchlist
programs: subset zapdups

defmt-programs:
	cd deformatters; $(MAKE) all

showversion:	ispell
	-./ispell -v | sed -e 1q

.c.o:
	@. ./config.sh; \
	  set -x; \
	  $$CC $$CFLAGS -c $<

#
# The funny business with y_tab.c is necessary for MS-DOS systems,
# where filenames can't have multiple periods.
#
.y.o:
	@. ./config.sh; \
	  set -x; \
	  $$YACC $<; \
	  [ -f y_tab.c ]  ||  mv y.tab.c y_tab.c; \
	  $$CC $$CFLAGS -c y_tab.c; \
	  mv y_tab.o $@; \
	  rm -f y_tab.c

all-languages:	munchable
	$(MAKE) LANGUAGE_TARGET=all SHELLDEBUG=$(SHELLDEBUG) language-subdirs

install: config.sh all install-basic install-deformatters
install: install-dictbuild install-languages

partial-install: config.sh all install-basic install-languages

install-basic:
	@. ./config.sh; \
	  set -x; \

=== deformatters/Makefile ===
#
# $Id: Makefile,v 1.9 2015-02-08 01:11:13-08 geoff Exp $
#
# Copyright 2001, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. The code that causes the 'ispell -v' command to display a prominent
#    link to the official ispell Web site may not be removed.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#

#
# $Log: Makefile,v $
# Revision 1.9  2015-02-08 01:11:13-08  geoff
# Support DESTDIR
#
# Revision 1.8  2015-02-08 00:56:20-08  geoff
# Change executable names and fix a few misuses of make.
#
# Revision 1.7  2005/05/01 23:04:58  geoff
# Add EXEEXT to executables for DOS portability (courtesy of Eli Zaretskii).
#
# Revision 1.6  2004/06/02 06:30:28  geoff
# Add .c: and .o: rules so proper flags are always used.
#
# Revision 1.5  2004/06/02 06:28:12  geoff
# Minor license update
#
# Revision 1.4  2001/09/06 00:35:18  geoff
# Shorten names so that the deformatters can be built on MS-DOS.
#
# Revision 1.3  2001/07/25 21:51:48  geoff
# *** empty log message ***
#
# Revision 1.2  2001/07/23 20:43:38  geoff
# *** empty log message ***
#
# Revision 1.1  2001/06/07 07:23:54  geoff
# Initial revision
#
#

SHELL = /bin/sh
MAKE = make

PROGRAMS = defmt-c$(EXEEXT) defmt-sh$(EXEEXT)

all:	$(PROGRAMS)

defmt-c: defmt-c.o
	@. ../config.sh; \
	  set -x; \
	  $$CC $$CFLAGS -o $@ $<

defmt-sh: defmt-sh.o
	@. ../config.sh; \
	  set -x; \
	  $$CC $$CFLAGS -o $@ $<

.c.o:
	@. ../config.sh; \
	  set -x; \
	  $$CC $$CFLAGS -c $<

install: all
	@. ../config.sh; \
	  set -x; \
	  rm -f $(DESTDIR)$$BINDIR/defmt-c $(DESTDIR)$$BINDIR/defmt-sh
	@. ../config.sh; \
	  set -x; \
	  $$INSTALL $(PROGRAMS) $(DESTDIR)$$BINDIR
	@. ../config.sh; \
	  set -x; \
	  cd $(DESTDIR)$$BINDIR; \
	  strip $(PROGRAMS); \
	  chmod 755 $(PROGRAMS)

clean:
	rm -f *.o core a.out mon.out $(PROGRAMS)

realclean veryclean:	clean

=== languages/Makefile ===
#
# $Id: Makefile,v 1.6 2005/04/13 23:52:42 geoff Exp $
#
# Copyright 1993, 2001, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. The code that causes the 'ispell -v' command to display a prominent
#    link to the official ispell Web site may not be removed.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Log: Makefile,v $
# Revision 1.6  2005/04/13 23:52:42  geoff
# Update the license.  Integrate Ed Avis's changes.
#
# Revision 1.5.1.1  2002/06/21 00:35:55  geoff
# Edward Avis's changes
#
# Revision 1.3  2001/11/07 18:59:26  epa98
# Rewrite of fix8bit.c prompted by SuSE's ispell-3.2.06-languages.patch.
# I wanted to make sure the patch wouldn't break anything, so I wrote a
# test suite, but doing that I found lots of other things that were
# wrong, so I started trying to fix those...
#
# Makefile: fixed dependencies for fix8bit, added 'test' target.  The
# test suite checks fix8bit's pushback routines, runs test_fix8bit (see
# below) and checks a couple of additional properties: fix8bit -8 |
# fix8bit -7 == cat; fix8bit -7 | fix8bit -7 == fix8bit -7.
#
# fix8bit.c: rewrote to8bit() to better handle cases when the
# backslashed sequence turns out to be illegal.  The initial backslash
# is printed and the remaining characters are pushed back to be read
# again.  This means that for example \\x41 will print as \A, in the
# same way that !\x41 produces !A.  It also handles escape sequences
# cut off by EOF properly (again they are printed unchanged).  This uses
# a mini pushback library which has a test suite if you give main() the
# argument --test-pushback.  Also fixed the original problem with hex
# sequences being miscomputed, which SuSE wrote the patch for.  Added a
# warning if the input already contains 8-bit chars (that would stop
# -8 | -7 being identity).
#
# test_fix8bit: new file.  This is a Perl script to run fix8bit -7 and
# fix8bit -8 on every input file in test_data/ and check the results
# against the expected results also in that directory.
#
# test_data/: new directory.  Contains test cases, some written by hand
# and some randomly generated by rand_gen.  rand_gen tries to make 'well
# behaved' input that doesn't muck up fix8bit -8 | fix8bit -7 or other
# commands - but there are three flags you can use to tell it not to.
# The random test cases have not been checked by hand, so they should be
# used in addition to human-written ones.
#
# Revision 1.2  2001/10/05 14:22:30  epa98
# Imported 3.2.06.epa1 release.  This was previously developed using
# sporadic RCS for certain files, but I'm not really bothered about
# rolling back beyond this release.
#
# Revision 1.5  2001/07/25 21:51:47  geoff
# *** empty log message ***
#
# Revision 1.4  2001/07/23 20:43:38  geoff
# *** empty log message ***
#
# Revision 1.3  1994/01/25 07:12:25  geoff
# Get rid of all old RCS log lines in preparation for the 3.1 release.
#
#

SHELL = /bin/sh
MAKE = make

CONFIG		=	../config.sh
FIX8BIT		=	../fix8bit

all:	fix8bit

install:

fix8bit:	$(CONFIG) fix8bit.c
	@. $(CONFIG); \
	  set -x; \
	  $$CC $$CFLAGS -o fix8bit fix8bit.c

# Note that individual languages are cleaned from the top-level Makefile.
clean:
	rm -f core *.log fix8bit

=== addons/nextispell/Makefile ===
#
# Makefile for nextispell.
#
# Created by Moritz Willers.
#
# 4. Januar 1994
# Version 0.2
#

NAME = nextispell
INSTALLDIR = ${HOME}/Library

CFLAGS = -O -Wall

all: ${NAME}
	rm -rf ${NAME}.service
	mkdir ${NAME}.service
	mv ${NAME} ${NAME}.service/
	if [ -f services ]; then touch services; else cp services.template  services; fi
	mv services ${NAME}.service/
	strip ${NAME}.service/${NAME}

${NAME}: nextispell.m
	if [ -f configure.h ]; then touch configure.h; else cp configure.h.template  configure.h; fi
	cc ${CFLAGS} -o ${NAME} nextispell.m -lNeXT_s
	rm -f configure.h

install: all
	if [ -d $(INSTALLDIR)/Services/${NAME}.service ]; then rm -Rf $(INSTALLDIR)/Services/${NAME}.service/; fi
	cp -r ${NAME}.service $(INSTALLDIR)/Services/
	rm -Rf ${NAME}.service
	echo "Don't forget to execute: make_services"
clean:
	rm -Rf ${NAME}.service

=== languages/altamer/Makefile ===
#
# $Id: Makefile,v 1.10 2015-02-08 16:42:26-08 geoff Exp $
#
# Copyright 1994, 2001, 2015, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. The code that causes the 'ispell -v' command to display a prominent
#    link to the official ispell Web site may not be removed.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# This Makefile allows a single installation to build an alternate
# American variant of ispell's English dictionary.  It depends on the
# languages/english directory for most of its input files.
#
# $Log: Makefile,v $
# Revision 1.10  2015-02-08 16:42:26-08  geoff
# Support DESTDIR.  Get rid of the old munchlist-suppressing code and
# references to english.5.  Use symbolic links instead of hard links;
# symbolic links are safer.
#
# Revision 1.9  2015-02-08 01:11:55-08  geoff
# Support DESTDIR.
#
# Revision 1.8  2005-04-14 14:27:39-07  geoff
# Build english.5 as part of installation.
#
# Revision 1.7  2005/04/14 13:25:20  geoff
# Update license.  Drop unsq.  Changes from Ed Avis: Allow LIBDIR to be
# a relative path.  Allow symbolic links as a configuration option.
#
# Revision 1.6  2001/07/25 21:51:48  geoff
# *** empty log message ***
#
# Revision 1.5  2001/07/23 20:43:38  geoff
# *** empty log message ***
#
# Revision 1.4  1999/01/07 01:23:22  geoff
# Update the copyright.  Get rid of the old shar-based dictioary building.
#
# Revision 1.3  1994/08/31  05:58:56  geoff
# Create directories before installing into them, and be sure to set the
# proper modes on manual pages.
#
# Revision 1.2  1994/05/17  06:37:43  geoff
# Explicitly specify the affix files with a path so that initial
# installation will work correctly.
#
# Revision 1.1  1994/04/27  02:46:22  geoff
# Initial revision
#
#

SHELL = /bin/sh
MAKE = make

CONFIG		=	../../config.sh
PATHADDER	=	../..
BUILDHASH	=	../../buildhash

# The following variables should be set by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
# There are four progressively-larger English dictionaries distributed
# with ispell.  These are named english.sml, english.med, english.lrg,
# and english.xlg.  For each of these, you can also build a "plus"
# version (english.sml+, etc.)  which is created by combining the
# distributed version with an "extra" dictionary defined by EXTRADICT,
# usually /usr/share/dict/words.  The "plus" versions of dictionaries
# require lots of time and temporary file space; make sure you have
# set TMPDIR appropriately.
#
# The dictionaries to be built are listed in the MASTERDICTS variable,
# separated by spaces.  The hash files to be built (and installed) are
# listed in the HASHFILES variable.  Hash files are named as
# "altamer<xxx>.hash", where <xxx> is the suffix of dictionary (e.g.,
# "med+").  The first-listed hash file will also be installed under
# the name "altamer.hash".  As a general rule, the dictionaries
# needed to build the HASHFILES must be listed in the MASTERDICTS
# variable.
#
# If you change AFFIXES for english, you should consider also changing
# DEFLANG (in config.X) to match.
#
MASTERDICTS	=	Use_LANGUAGES_from_config.X
HASHFILES	=	Use_LANGUAGES_from_config.X
EXTRADICT	=	Use_LANGUAGES_from_config.X

#
# The following variables may be overridden by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
AFFIXES	=	english.aff
LANGUAGE =	altamer

#
# DICTSRC specifies where the dictionary sources are found.  You
# should not have to change this.
#
DICTSRC =	../english

#
#	Set this to "-vx" in the make command line if you need to
#	debug the complex shell commands.
#
SHELLDEBUG = +vx

all:  $(CONFIG)
	@set $(SHELLDEBUG); \
	if [ ! -r english.0 ]; \
	then \
	    $(MAKE) SHELLDEBUG=$(SHELLDEBUG) dictcomponents; \
	else \
	    : ; \
	fi
	@set $(SHELLDEBUG); \
	for dict in $(MASTERDICTS); do \
	    if [ ! -r $$dict ]; \
	    then \
		$(MAKE) \
		  'EXTRADICT=$(EXTRADICT)' 'DICTSRC=$(DICTSRC)' \
		  SHELLDEBUG=$(SHELLDEBUG) $$dict; \
	    else \
		: ; \
	    fi; \
	done
	$(MAKE) SHELLDEBUG=$(SHELLDEBUG) $(HASHFILES)

# Note the fooling around with LIBDIR.  It might be a relative path,
# relative to the top of the ispell source tree.  So we have to cd to
# ../.. before referring to $LIBDIR.  There must be a better way...
# 
install:	all $(CONFIG)
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; \
	  [ -d $(DESTDIR)$$LIBDIR ]  || \
	    $(MAKE) -f Makefile NEWDIR=$(DESTDIR)$$LIBDIR mkdirpath; \
	  cd $(DESTDIR)$$LIBDIR; rm -f english.aff $(HASHFILES) $(LANGUAGE).hash
	@. $(CONFIG); \
	  set -x; \
	  cp $(DICTSRC)/english.aff $(HASHFILES) \
	    `cd ../..; cd $(DESTDIR)$$LIBDIR; pwd`
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; cd $(DESTDIR)$$LIBDIR; \
	  chmod 644 english.aff $(HASHFILES); \
	  for i in $(HASHFILES); do \
	    $$LINK -s $$i $(LANGUAGE).hash; \
	    break; \
	  done

#
#	Dependencies to build extra hash files
#
allhashes:	normhashes plushashes
normhashes:	altamersml.hash altamermed.hash
normhashes:	altamerlrg.hash altamerxlg.hash
plushashes:	altamersml+.hash altamermed+.hash
plushashes:	altamerlrg+.hash altamerxlg+.hash

altamersml.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) altamer.sml
	rm -f altamersml.hash
	$(BUILDHASH) altamer.sml $(DICTSRC)/$(AFFIXES) altamersml.hash

altamersml+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) altamer.sml+
	rm -f altamersml+.hash
	$(BUILDHASH) altamer.sml+ $(DICTSRC)/$(AFFIXES) altamersml+.hash

altamermed.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) altamer.med
	rm -f altamermed.hash
	$(BUILDHASH) altamer.med $(DICTSRC)/$(AFFIXES) altamermed.hash

altamermed+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) altamer.med+
	rm -f altamermed+.hash
	$(BUILDHASH) altamer.med+ $(DICTSRC)/$(AFFIXES) altamermed+.hash

altamerlrg.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) altamer.lrg
	rm -f altamerlrg.hash
	$(BUILDHASH) altamer.lrg $(DICTSRC)/$(AFFIXES) altamerlrg.hash

altamerlrg+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) altamer.lrg+
	rm -f altamerlrg+.hash
	$(BUILDHASH) altamer.lrg+ $(DICTSRC)/$(AFFIXES) altamerlrg+.hash

altamerxlg.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) altamer.xlg
	rm -f altamerxlg.hash
	$(BUILDHASH) altamer.xlg $(DICTSRC)/$(AFFIXES) altamerxlg.hash

altamerxlg+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) altamer.xlg+
	rm -f altamerxlg+.hash
	$(BUILDHASH) altamer.xlg+ $(DICTSRC)/$(AFFIXES) altamerxlg+.hash

#
#	The eight dictionaries, altamer.sml through altamer.xlg+, are
#	built by the following dependencies.  We used to use some
#	Makefile tricks to avoid running munchlist unnecessarily, but
#	that leads to mistakes, and modern machines run munchlist fast
#	enough that it's no longer worth suppressing.
#
alldicts:	normdicts plusdicts
normdicts:	altamer.sml
normdicts:	altamer.med
normdicts:	altamer.lrg
normdicts:	altamer.xlg
plusdicts:	altamer.sml+
plusdicts:	altamer.med+
plusdicts:	altamer.lrg+
plusdicts:	altamer.xlg+

altamer.sml:	english.sml
	rm -f altamer.sml
	@. $(CONFIG); \
	  set -x; \
	  $$LINK -s english.sml altamer.sml

english.sml:	$(CONFIG)
english.sml:	english.0
english.sml:	altamer.0
	$(MAKE) -f $(DICTSRC)/Makefile \
	  'VARIANTS=american altamer' \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.sml

altamer.sml+:	english.sml+
	rm -f altamer.sml+
	@. $(CONFIG); \
	  set -x; \
	  $$LINK -s english.sml+ altamer.sml+

english.sml+:	$(CONFIG)
english.sml+:	english.0
english.sml+:	altamer.0
	$(MAKE) -f $(DICTSRC)/Makefile \
	  'VARIANTS=american altamer' \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.sml+

altamer.med:	english.med
	rm -f altamer.med
	@. $(CONFIG); \
	  set -x; \
	  $$LINK -s english.med altamer.med

english.med:	$(CONFIG)
english.med:	english.0
english.med:	altamer.0
	$(MAKE) -f $(DICTSRC)/Makefile \
	  'VARIANTS=american altamer' \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.med

altamer.med+:	english.med+
	rm -f altamer.med+
	@. $(CONFIG); \
	  set -x; \
	  $$LINK -s english.med+ altamer.med+

english.med+:	$(CONFIG)
english.med+:	english.0
english.med+:	altamer.0
	$(MAKE) -f $(DICTSRC)/Makefile \
	  'VARIANTS=american altamer' \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.med+

altamer.lrg:	english.lrg
	rm -f altamer.lrg
	@. $(CONFIG); \
	  set -x; \
	  $$LINK -s english.lrg altamer.lrg

english.lrg:	$(CONFIG)
english.lrg:	english.0
english.lrg:	altamer.0
	$(MAKE) -f $(DICTSRC)/Makefile \
	  'VARIANTS=american altamer' \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.lrg

altamer.lrg+:	english.lrg+
	rm -f altamer.lrg+
	@. $(CONFIG); \
	  set -x; \
	  $$LINK -s english.lrg+ altamer.lrg+

english.lrg+:	$(CONFIG)
english.lrg+:	english.0
english.lrg+:	altamer.0
	$(MAKE) -f $(DICTSRC)/Makefile \
	  'VARIANTS=american altamer' \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.lrg+

altamer.xlg:	english.xlg
	rm -f altamer.xlg
	@. $(CONFIG); \
	  set -x; \
	  $$LINK -s english.xlg altamer.xlg

english.xlg:	$(CONFIG)
english.xlg:	english.0
english.xlg:	altamer.0
	$(MAKE) -f $(DICTSRC)/Makefile \
	  'VARIANTS=american altamer' \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.xlg

altamer.xlg+:	english.xlg+
	rm -f altamer.xlg+
	@. $(CONFIG); \
	  set -x; \
	  $$LINK -s english.xlg+ altamer.xlg+

english.xlg+:	$(CONFIG)
english.xlg+:	english.0
english.xlg+:	altamer.0
	$(MAKE) -f $(DICTSRC)/Makefile \
	  'VARIANTS=american altamer' \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.xlg+

#
#	Dependencies to create the components of the dictionaries,
#	preferably by linking.  We create some components that we'll
#	never use because the master English Makefile requires them.
#
dictcomponents:	english.0
dictcomponents:	english.1
dictcomponents:	english.2
dictcomponents:	english.3
dictcomponents: american.0
dictcomponents: american.1
dictcomponents:	american.2
dictcomponents: altamer.0
dictcomponents: altamer.1
dictcomponents:	altamer.2
dictcomponents: british.0
dictcomponents: british.1
dictcomponents:	british.2

english.0 english.1 english.2 english.3 \
  american.0 american.1 american.2 \

=== languages/british/Makefile ===
#
# $Id: Makefile,v 1.11 2015-02-08 16:42:36-08 geoff Exp $
#
# Copyright 1994, 2001, 2015, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. The code that causes the 'ispell -v' command to display a prominent
#    link to the official ispell Web site may not be removed.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# This Makefile allows a single installation to build an British
# variant of ispell's English dictionary.  It depends on the
# languages/english directory for most of its input files.
#
# $Log: Makefile,v $
# Revision 1.11  2015-02-08 16:42:36-08  geoff
# Support DESTDIR.  Get rid of the old munchlist-suppressing code and
# references to english.5.  Use symbolic links instead of hard links;
# symbolic links are safer.
#
# Revision 1.10  2015-02-08 01:11:55-08  geoff
# Support DESTDIR.
#
# Revision 1.9  2005-04-14 14:27:35-07  geoff
# Build english.5 as part of installation.
#
# Revision 1.8  2005/04/14 13:25:20  geoff
# Update license.  Drop unsq.  Changes from Ed Avis: Allow LIBDIR to be
# a relative path.  Allow symbolic links as a configuration option.
#
# Revision 1.7  2001/07/25 21:51:48  geoff
# *** empty log message ***
#
# Revision 1.6  2001/07/23 20:43:38  geoff
# *** empty log message ***
#
# Revision 1.5  1999/01/07 01:23:20  geoff
# Update the copyright.  Get rid of the old shar-based dictioary building.
#
# Revision 1.4  1995/01/08  23:24:18  geoff
# Remember to set SHELLDEBUG when making dictcomponents.
#
# Revision 1.3  1994/08/31  05:58:54  geoff
# Create directories before installing into them, and be sure to set the
# proper modes on manual pages.
#
# Revision 1.2  1994/05/17  06:37:42  geoff
# Explicitly specify the affix files with a path so that initial
# installation will work correctly.
#
# Revision 1.1  1994/04/27  02:45:55  geoff
# Initial revision
#
#

SHELL = /bin/sh
MAKE = make

CONFIG		=	../../config.sh
PATHADDER	=	../..
BUILDHASH	=	../../buildhash

# The following variables should be set by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
# There are four progressively-larger English dictionaries distributed
# with ispell.  These are named english.sml, english.med, english.lrg,
# and english.xlg.  For each of these, you can also build a "plus"
# version (english.sml+, etc.)  which is created by combining the
# distributed version with an "extra" dictionary defined by EXTRADICT,
# usually /usr/share/dict/words.  The "plus" versions of dictionaries
# require lots of time and temporary file space; make sure you have
# set TMPDIR appropriately.
#
# The dictionaries to be built are listed in the MASTERDICTS variable,
# separated by spaces.  The hash files to be built (and installed) are
# listed in the HASHFILES variable.  Hash files are named as
# "british<xxx>.hash", where <xxx> is the suffix of dictionary (e.g.,
# "med+").  The first-listed hash file will also be installed under
# the name "british.hash".  As a general rule, the dictionaries
# needed to build the HASHFILES must be listed in the MASTERDICTS
# variable.
#
# If you change AFFIXES for english, you should consider also changing
# DEFLANG (in config.X) to match.
#
MASTERDICTS	=	Use_LANGUAGES_from_config.X
HASHFILES	=	Use_LANGUAGES_from_config.X
EXTRADICT	=	Use_LANGUAGES_from_config.X

#
# The following variables may be overridden by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
AFFIXES	=	english.aff
LANGUAGE =	british

#
# DICTSRC specifies where the dictionary sources are found.  You
# should not have to change this.
#
DICTSRC =	../english

#
#	Set this to "-vx" in the make command line if you need to
#	debug the complex shell commands.
#
SHELLDEBUG = +vx

all:  $(CONFIG)
	@set $(SHELLDEBUG); \
	if [ ! -r english.0 ]; \
	then \
	    $(MAKE) SHELLDEBUG=$(SHELLDEBUG) dictcomponents; \
	else \
	    : ; \
	fi
	@set $(SHELLDEBUG); \
	for dict in $(MASTERDICTS); do \
	    if [ ! -r $$dict ]; \
	    then \
		$(MAKE) \
		  'EXTRADICT=$(EXTRADICT)' 'DICTSRC=$(DICTSRC)' \
		  SHELLDEBUG=$(SHELLDEBUG) $$dict; \
	    else \
		: ; \
	    fi; \
	done
	$(MAKE) SHELLDEBUG=$(SHELLDEBUG) $(HASHFILES)

# Note the fooling around with LIBDIR.  It might be a relative path,
# relative to the top of the ispell source tree.  So we have to cd to
# ../.. before referring to $LIBDIR.  There must be a better way...
# 
install:	all $(CONFIG)
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; \
	  [ -d $(DESTDIR)$$LIBDIR ]  || \
	    $(MAKE) -f Makefile NEWDIR=$(DESTDIR)$$LIBDIR mkdirpath; \
	  cd $(DESTDIR)$$LIBDIR; rm -f english.aff $(HASHFILES) $(LANGUAGE).hash
	@. $(CONFIG); \
	  set -x; \
	  cp $(DICTSRC)/english.aff $(HASHFILES) \
	    `cd ../..; cd $(DESTDIR)$$LIBDIR; pwd`
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; cd $(DESTDIR)$$LIBDIR; \
	  chmod 644 english.aff $(HASHFILES); \
	  for i in $(HASHFILES); do \
	    $$LINK -s $$i $(LANGUAGE).hash; \
	    break; \
	  done

#
#	Dependencies to build extra hash files
#
allhashes:	normhashes plushashes
normhashes:	britishsml.hash britishmed.hash
normhashes:	britishlrg.hash britishxlg.hash
plushashes:	britishsml+.hash britishmed+.hash
plushashes:	britishlrg+.hash britishxlg+.hash

britishsml.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) british.sml
	rm -f britishsml.hash
	$(BUILDHASH) british.sml $(DICTSRC)/$(AFFIXES) britishsml.hash

britishsml+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) british.sml+
	rm -f britishsml+.hash
	$(BUILDHASH) british.sml+ $(DICTSRC)/$(AFFIXES) britishsml+.hash

britishmed.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) british.med
	rm -f britishmed.hash
	$(BUILDHASH) british.med $(DICTSRC)/$(AFFIXES) britishmed.hash

britishmed+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) british.med+
	rm -f britishmed+.hash
	$(BUILDHASH) british.med+ $(DICTSRC)/$(AFFIXES) britishmed+.hash

britishlrg.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) british.lrg
	rm -f britishlrg.hash
	$(BUILDHASH) british.lrg $(DICTSRC)/$(AFFIXES) britishlrg.hash

britishlrg+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) british.lrg+
	rm -f britishlrg+.hash
	$(BUILDHASH) british.lrg+ $(DICTSRC)/$(AFFIXES) britishlrg+.hash

britishxlg.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) british.xlg
	rm -f britishxlg.hash
	$(BUILDHASH) british.xlg $(DICTSRC)/$(AFFIXES) britishxlg.hash

britishxlg+.hash:	$(BUILDHASH) $(DICTSRC)/$(AFFIXES) british.xlg+
	rm -f britishxlg+.hash
	$(BUILDHASH) british.xlg+ $(DICTSRC)/$(AFFIXES) britishxlg+.hash

#
#	The eight dictionaries, british.sml through british.xlg+, are
#	built by the following dependencies.  We used to use some
#	Makefile tricks to avoid running munchlist unnecessarily, but
#	that leads to mistakes, and modern machines run munchlist fast
#	enough that it's no longer worth suppressing.
#
alldicts:	normdicts plusdicts
normdicts:	british.sml
normdicts:	british.med
normdicts:	british.lrg
normdicts:	british.xlg
plusdicts:	british.sml+
plusdicts:	british.med+
plusdicts:	british.lrg+
plusdicts:	british.xlg+

british.sml:	english.sml
	rm -f british.sml
	@. $(CONFIG); \
	  set -x; \
	  $$LINK -s english.sml british.sml

english.sml:	$(CONFIG)
english.sml:	english.0
english.sml:	british.0
	$(MAKE) -f $(DICTSRC)/Makefile VARIANTS=british \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.sml

british.sml+:	english.sml+
	rm -f british.sml+
	@. $(CONFIG); \
	  set -x; \
	  $$LINK -s english.sml+ british.sml+

english.sml+:	$(CONFIG)
english.sml+:	english.0
english.sml+:	british.0
	$(MAKE) -f $(DICTSRC)/Makefile VARIANTS=british \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.sml+

british.med:	english.med
	rm -f british.med
	@. $(CONFIG); \
	  set -x; \
	  $$LINK -s english.med british.med

english.med:	$(CONFIG)
english.med:	english.0
english.med:	british.0
	$(MAKE) -f $(DICTSRC)/Makefile VARIANTS=british \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.med

british.med+:	english.med+
	rm -f british.med+
	@. $(CONFIG); \
	  set -x; \
	  $$LINK -s english.med+ british.med+

english.med+:	$(CONFIG)
english.med+:	english.0
english.med+:	british.0
	$(MAKE) -f $(DICTSRC)/Makefile VARIANTS=british \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.med+

british.lrg:	english.lrg
	rm -f british.lrg
	@. $(CONFIG); \
	  set -x; \
	  $$LINK -s english.lrg british.lrg

english.lrg:	$(CONFIG)
english.lrg:	english.0
english.lrg:	british.0
	$(MAKE) -f $(DICTSRC)/Makefile VARIANTS=british \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.lrg

british.lrg+:	english.lrg+
	rm -f british.lrg+
	@. $(CONFIG); \
	  set -x; \
	  $$LINK -s english.lrg+ british.lrg+

english.lrg+:	$(CONFIG)
english.lrg+:	english.0
english.lrg+:	british.0
	$(MAKE) -f $(DICTSRC)/Makefile VARIANTS=british \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.lrg+

british.xlg:	english.xlg
	rm -f british.xlg
	@. $(CONFIG); \
	  set -x; \
	  $$LINK -s english.xlg british.xlg

english.xlg:	$(CONFIG)
english.xlg:	english.0
english.xlg:	british.0
	$(MAKE) -f $(DICTSRC)/Makefile VARIANTS=british \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.xlg

british.xlg+:	english.xlg+
	rm -f british.xlg+
	@. $(CONFIG); \
	  set -x; \
	  $$LINK -s english.xlg+ british.xlg+

english.xlg+:	$(CONFIG)
english.xlg+:	english.0
english.xlg+:	british.0
	$(MAKE) -f $(DICTSRC)/Makefile VARIANTS=british \
	  'EXTRADICT=$(EXTRADICT)' 'SHELLDEBUG=$(SHELLDEBUG)' \
	  'AFFIXES=$(DICTSRC)/$(AFFIXES)' \
	  english.xlg+

#
#	Dependencies to create the components of the dictionaries,
#	preferably by linking.  We create some components that we'll
#	never use because the master English Makefile requires them.
#
dictcomponents:	english.0
dictcomponents:	english.1
dictcomponents:	english.2
dictcomponents:	english.3
dictcomponents: american.0
dictcomponents: american.1
dictcomponents:	american.2
dictcomponents: altamer.0
dictcomponents: altamer.1
dictcomponents:	altamer.2
dictcomponents: british.0
dictcomponents: british.1
dictcomponents:	british.2

english.0 english.1 english.2 english.3 \
  american.0 american.1 american.2 \
  altamer.0 altamer.1 altamer.2 \

=== languages/deutsch/Makefile ===
#
# $Id: Makefile,v 1.15 2015-02-08 01:11:55-08 geoff Exp $
#
# Copyright 1993, 2001, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. The code that causes the 'ispell -v' command to display a prominent
#    link to the official ispell Web site may not be removed.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# This makefile is an example of how you might write a makefile for a
# simple language which has only a single dictionary available.  For
# an example of a complex makefile, look at the makefile for English.
#
# $Log: Makefile,v $
# Revision 1.15  2015-02-08 01:11:55-08  geoff
# Support DESTDIR.
#
# Revision 1.14  2005-04-13 17:05:48-07  geoff
# Update license.  Drop unsq.  Allow LIBDIR to be a relative path.
#
# Revision 1.13  2001/07/25 21:51:47  geoff
# *** empty log message ***
#
# Revision 1.12  2001/07/23 20:43:37  geoff
# *** empty log message ***
#
# Revision 1.11  1994/08/31 05:58:47  geoff
# Create directories before installing into them.
#
# Revision 1.10  1994/05/25  04:29:34  geoff
# Purge Martin Schulz's obsolete e-mail address from the file.
#
# Revision 1.9  1994/02/22  06:09:08  geoff
# Add SHELLDEBUG.
#
# Revision 1.8  1994/02/07  06:18:03  geoff
# Use MAKE_SORTTMP when building the dictionary
#
# Revision 1.7  1994/02/07  06:07:57  geoff
# Add a dummy else clause to shell if-test for Ultrix
#
# Revision 1.6  1994/01/25  07:12:30  geoff
# Get rid of all old RCS log lines in preparation for the 3.1 release.
#
#

SHELL = /bin/sh
MAKE = make

CONFIG		=	../../config.sh
PATHADDER	=	../..
BUILDHASH	=	../../buildhash
FIX8BIT		=	../fix8bit

# The following variables should be set by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
# The German dictionary I use is due to Martin Schulz, Moncton, New
# Brunswick, Canada.  It is not distributed with ispell due to its
# size, but is available for ftp (see the languages/Where file for
# locations).
#
# Martin's dictionary has been broken up into a number of sub-files
# which can be combined to make a master dictionary.  See the files
# README or LIESMICH for more information on what these sub-files
# contain.
#
# The DICTOPTIONS variable should be set to a list of one or more files,
# separated by spaces, and selected from the following options:
#
#	abkuerz.txt abweichend.txt compeng.txt elektronik.txt
#	geographie.txt infoabk.txt informatik.txt namen.txt
#	seltenes.txt technik.txt zusammen.txt
#
#
# If you change DICTOPTIONS in your local.h file, you will have to do
# "make dictclean" to clear out the old dictionary before you re-make.
#
DICTALWAYS	=	adjektive.txt worte.txt verben.txt
DICTOPTIONS	=	Use_LANGUAGES_from_config.X

#
# The following variables may be overridden by the superior Makefile,
# based on the LANGUAGES variable in config.X.  Note that selection of
# the affix file is closely related to the dictionary chosen; don't
# change the affix file unless you know what you are doing!
#
AFFIXES	=	deutsch.aff

#
#	Set this to "-vx" in the make command line if you need to
#	debug the complex shell commands.
#
SHELLDEBUG = +vx

all:	deutsch.hash

install: all $(CONFIG)
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; \
	  [ -d $(DESTDIR)$$LIBDIR ]  || \
	    $(MAKE) -f Makefile NEWDIR=$(DESTDIR)$$LIBDIR mkdirpath; \
	  cd $(DESTDIR)$$LIBDIR; rm -f deutsch.aff deutsch.hash
	@. $(CONFIG); \
	  set -x; \
	  cp deutsch.aff deutsch.hash \
	    `cd ../..; cd $(DESTDIR)$$LIBDIR; pwd`
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; cd $(DESTDIR)$$LIBDIR; \
	  chmod 644 deutsch.aff deutsch.hash

deutsch.hash:	$(BUILDHASH) $(AFFIXES) deutsch.dict
	rm -f deutsch.hash
	$(BUILDHASH) deutsch.dict $(AFFIXES) deutsch.hash

$(AFFIXES):	deutsch.7bit $(FIX8BIT)
	$(FIX8BIT) -8 < deutsch.7bit > $(AFFIXES)

deutsch-alt.aff:	deutsch-alt.7bit $(FIX8BIT)
	$(FIX8BIT) -8 < deutsch-alt.7bit > deutsch-alt.aff

$(FIX8BIT):	../fix8bit.c
	cd ..; $(MAKE) fix8bit

deutsch.dict:	$(DICTALWAYS) $(DICTOPTIONS)
	. $(CONFIG); \
	  eval sort -f -o deutsch.dict $$MAKE_SORTTMP \
	    $(DICTALWAYS) $(DICTOPTIONS)

#
#	The following dependency can be executed when ispell is unpacked,
#	to unpack the dictionaries.
#
unpack:	$(AFFIXES)

clean:
	rm -f core *.hash *.stat *.cnt

#
#	The following target is used in the English makefile, and is
#	required to be present in all other language Makefiles as
#	well, even though it doesn't have to do anything in those
#	directories.
#
kitclean:

#
#	The following target allows you to clean out the combined
#	dictionary file.
#
dictclean:
	rm -f deutsch.dict

#	required to be present in all other language Makefiles as
#	well, even though it doesn't have to do anything in those
#	directories.
#
dictclean:

=== languages/english/Makefile ===
#
# $Id: Makefile,v 1.33 2015-02-08 16:40:59-08 geoff Exp $
#
# Copyright 1993, 2001, Geoff Kuenning, Claremont, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. The code that causes the 'ispell -v' command to display a prominent
#    link to the official ispell Web site may not be removed.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# This Makefile is an example of how to build dictionaries for a
# complex language with many variants.  It supports both American and
# British English and four dictionary source files, and will build up
# to 8 dictionares from those 4 files by combining them with an
# optional installation-specific file.
#
# If you are building a new Makefile for your own language, this is
# probably not the right place to start.  Instead, you should select
# the "deutsch" Makefile, which is moderately complex, or one of the
# simple Makefiles for another language distributed with ispell.
#
# $Log: Makefile,v $
# Revision 1.33  2015-02-08 16:40:59-08  geoff
# Get rid of the old munchlist-suppressing code and of references to english.5.
#
# Revision 1.32  2015-02-08 01:11:55-08  geoff
# Support DESTDIR.
#
# Revision 1.31  2015-02-08 00:53:31-08  geoff
# Remove english.5 from the distribution
#
# Revision 1.30  2008-02-21 22:19:19-08  geoff
# Use munchlist to build all dictionaries, to avoid locale problems.
# (We used to avoid munchlist because of performance, but 20 years of
# hardware advances have turned a multi-hour process into a 15-second
# one.  Yay for Moore's law!)
#
# Revision 1.29  2005/04/26 22:55:07  geoff
# Add code to protect against POSIX's astoundingly stupid decision to break
# backwards compatibility for the sort command.
#
# Revision 1.28  2005/04/13 22:58:43  geoff
# Update license.  Allow section-5 manuals to go into section 4 on
# systems that prefer it that way.
#
# Revision 1.27  2002/06/06 23:21:30  geoff
# Don't assume munchlist is in the PATH
#
# Revision 1.26  2001/07/25 21:51:47  geoff
# *** empty log message ***
#
# Revision 1.25  2001/07/23 20:43:37  geoff
# *** empty log message ***
#
# Revision 1.24  1999/01/07 01:23:16  geoff
# Update the copyright.  Get rid of the old shar-based dictioary building.
#
# Revision 1.23  1995/08/05  23:19:50  geoff
# Add tests to detect and suppress accidentally-generated zero-length
# dictionaries.
#
# Revision 1.22  1994/08/31  05:58:43  geoff
# Create directories before installing into them, and be sure to set the
# proper modes on manual pages.
#
# Revision 1.21  1994/05/25  04:29:30  geoff
# Get rid of all references to DEFHASH and defhash.
#
# Revision 1.20  1994/05/24  04:47:33  geoff
# Work around an RS-6000 shell deficiency in environment setting
#
# Revision 1.19  1994/05/17  06:37:36  geoff
# Fix the remove-on-abort code for the derived dictionaries to be more
# robust.
#
# Revision 1.18  1994/02/23  04:52:30  geoff
# Remove dictionaries being built if make is aborted early.
#
# Revision 1.17  1994/02/22  06:09:06  geoff
# Add SHELLDEBUG.
#
# Revision 1.16  1994/02/13  23:55:20  geoff
# Get rid of the temporary line that zapped "english..4" for people who
# had 3.1.00.
#
# Revision 1.15  1994/02/07  08:01:57  geoff
# Allow multiple variants and extradicts
#
# Revision 1.14  1994/02/07  07:08:10  geoff
# Install english.4 with the right name, removing the wrong one if it exists
#
# Revision 1.13  1994/02/07  06:18:18  geoff
# Add dummy else clauses to shell tests to handle Ultrix problems.  Add an
# eval to all sort commands to make sure that MAKE_SORTTMP is handled
# correctly on all systems.
#
# Revision 1.12  1994/01/25  08:50:34  geoff
# Get rid of all old RCS log lines in preparation for the 3.1 release.
#
#

SHELL = /bin/sh
MAKE = make

CONFIG		=	../../config.sh
PATHADDER	=	../..
BUILDHASH	=	../../buildhash
MUNCHLIST	=	../../munchlist

# The following variables should be set by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
# There are four progressively-larger English dictionaries distributed
# with ispell.  These are named english.sml, english.med, english.lrg,
# and english.xlg.  For each of these, you can also build a "plus"
# version (english.sml+, etc.)  which is created by combining the
# distributed version with an "extra" dictionary defined by EXTRADICT,
# usually /usr/share/dict/words.  The "plus" versions of dictionaries
# require lots of time and temporary file space; make sure you have
# set TMPDIR appropriately.
#
# The dictionaries to be built are listed in the MASTERDICTS variable,
# separated by spaces.  The hash files to be built (and installed) are
# listed in the HASHFILES variable.  Hash files are named by taking
# the suffix of the dictionary (e.g., "med+"), and adding ".hash".  As
# a general rule, the dictionaries needed to build the HASHFILES must
# be listed in the MASTERDICTS variable.
#
# British/American variants are supported by the VARIANTS variable.
# You should set VARIANTS to one of "american", "british", or
# "altamer".  The latter is a file of alternate American spellings,
# often British-derived.  I recommend against its use.  I also
# recommend against selecting more than one variant, because it tends
# to cause inconsistent or incorrect spellings to be hidden, although
# there is nothing to prevent such an unwise decision.
#
# If you change AFFIXES for english, you should consider also changing
# DEFLANG (in config.X) to match.
#
MASTERDICTS	=	Use_LANGUAGES_from_config.X
HASHFILES	=	Use_LANGUAGES_from_config.X
VARIANTS	=	Use_LANGUAGES_from_config.X
EXTRADICT	=	Use_LANGUAGES_from_config.X

#
# The following variables may be overridden by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
AFFIXES	=	english.aff

#
#	Set this to "-vx" in the make command line if you need to
#	debug the complex shell commands.
#
SHELLDEBUG = +vx

all:  $(CONFIG)
	@set $(SHELLDEBUG); \
	if [ ! -r english.0 ]; \
	then \
	    $(MAKE) SHELLDEBUG=$(SHELLDEBUG) dictcomponents; \
	else \
	    : ; \
	fi
	@set $(SHELLDEBUG); \
	for dict in $(MASTERDICTS); do \
	    if [ ! -r $$dict ]; \
	    then \
		$(MAKE) 'VARIANTS=$(VARIANTS)' \
		  'EXTRADICT=$(EXTRADICT)' \
		  SHELLDEBUG=$(SHELLDEBUG) $$dict; \
	    else \
		: ; \
	    fi; \
	done
	$(MAKE) SHELLDEBUG=$(SHELLDEBUG) $(HASHFILES)

# Note the fooling around with LIBDIR.  It might be a relative path,
# relative to the top of the ispell source tree.  So we have to cd to
# ../.. before referring to $LIBDIR.  There must be a better way...
# 
install: all $(CONFIG)
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; \
	  [ -d $(DESTDIR)$$LIBDIR ]  || \
	    $(MAKE) -f Makefile NEWDIR=$(DESTDIR)$$LIBDIR mkdirpath; \
	  cd $(DESTDIR)$$LIBDIR; rm -f english.aff $(HASHFILES)
	@. $(CONFIG); \
	  set -x; \
	  cp english.aff $(HASHFILES) \
	    `cd ../..; cd $(DESTDIR)$$LIBDIR; pwd`
	@. $(CONFIG); \
	  set -x; \
	  cd ../..; cd $(DESTDIR)$$LIBDIR; \
	  chmod 644 english.aff $(HASHFILES)

#
#	Dependencies to build extra hash files
#
allhashes:	normhashes plushashes
normhashes:	sml.hash med.hash lrg.hash xlg.hash
plushashes:	sml+.hash med+.hash lrg+.hash xlg+.hash

#
# Note that we don't use $(MAKE) in the following dependencies.  There
# is a good reason for this -- if we did, "make -n" would still run
# buildhash.
#
sml.hash:	$(CONFIG) $(BUILDHASH)
sml.hash:	$(AFFIXES)
sml.hash:	english.sml
	rm -f sml.hash
	@set +e; \
	. $(CONFIG); \
	set -ex; \
	$(BUILDHASH) english.sml $(AFFIXES) $@

sml+.hash:	$(CONFIG) $(BUILDHASH)
sml+.hash:	$(AFFIXES)
sml+.hash:	english.sml+
	rm -f sml+.hash
	@set +e; \
	. $(CONFIG); \
	set -ex; \
	$(BUILDHASH) english.sml+ $(AFFIXES) $@

med.hash:	$(BUILDHASH) $(CONFIG)
med.hash:	$(AFFIXES)
med.hash:	english.med
	rm -f med.hash
	@set +e; \
	. $(CONFIG); \
	set -ex; \
	$(BUILDHASH) english.med $(AFFIXES) $@

med+.hash:	$(BUILDHASH) $(CONFIG)
med+.hash:	$(AFFIXES)
med+.hash:	english.med+
	rm -f med+.hash
	@set +e; \
	. $(CONFIG); \
	set -ex; \
	$(BUILDHASH) english.med+ $(AFFIXES) $@

lrg.hash:	$(BUILDHASH) $(CONFIG)
lrg.hash:	$(AFFIXES)
lrg.hash:	english.lrg
	rm -f lrg.hash
	@set +e; \
	. $(CONFIG); \
	set -ex; \
	$(BUILDHASH) english.lrg $(AFFIXES) $@

lrg+.hash:	$(BUILDHASH) $(CONFIG)
lrg+.hash:	$(AFFIXES)
lrg+.hash:	english.lrg+
	rm -f lrg+.hash
	@set +e; \
	. $(CONFIG); \
	set -ex; \
	$(BUILDHASH) english.lrg+ $(AFFIXES) $@

xlg.hash:	$(BUILDHASH) $(CONFIG)
xlg.hash:	$(AFFIXES)
xlg.hash:	english.xlg
	rm -f xlg.hash
	@set +e; \
	. $(CONFIG); \
	set -ex; \
	$(BUILDHASH) english.xlg $(AFFIXES) $@

xlg+.hash:	$(BUILDHASH) $(CONFIG)
xlg+.hash:	$(AFFIXES)
xlg+.hash:	english.xlg+
	rm -f xlg+.hash
	@set +e; \
	. $(CONFIG); \
	set -ex; \
	$(BUILDHASH) english.xlg+ $(AFFIXES) $@

#
#	The eight dictionaries, english.sml through english.xlg+, are
#	built by the following dependencies.  We used to use some
#	Makefile tricks to avoid running munchlist unnecessarily, but
#	that leads to mistakes, and modern machines run munchlist fast
#	enough that it's no longer worth suppressing.
#
alldicts:	normdicts plusdicts
normdicts:	english.sml
normdicts:	english.med
normdicts:	english.lrg
normdicts:	english.xlg
plusdicts:	english.sml+
plusdicts:	english.med+
plusdicts:	english.lrg+
plusdicts:	english.xlg+

dictcomponents:

english.sml:	$(CONFIG)
english.sml:	english.0
english.sml:	american.0
english.sml:	altamer.0
english.sml:	british.0
	@dicts=""; \
	set $(SHELLDEBUG); \
	for i in english $(VARIANTS); do \
	    dicts="$$dicts $$i.0"; \
	done; \
	trap "rm -f english.sml" 1 2 15; \
	set -x; \
	PATH=$(PATHADDER):$$PATH; \
	export PATH; \
	$(MUNCHLIST) -v -l $(AFFIXES) $$dicts \
	  > english.sml \
	    ||  rm -f english.sml
	test -s english.sml \
	  ||  (echo 'error: zero-length dictionary generated'; \
	    rm -f english.sml; exit 1)

english.sml+:	$(CONFIG) $(EXTRADICT)
english.sml+:	english.0
english.sml+:	american.0
english.sml+:	altamer.0
english.sml+:	british.0
	@dicts="$(EXTRADICT)"; \
	set $(SHELLDEBUG); \
	for i in english $(VARIANTS); do \
	    dicts="$$dicts $$i.0"; \
	done; \
	trap "rm -f english.sml+" 1 2 15; \
	set -x; \
	PATH=$(PATHADDER):$$PATH; \
	export PATH; \
	$(MUNCHLIST) -v -l $(AFFIXES) $$dicts \
	  > english.sml+ \
	    ||  rm -f english.sml+
	test -s english.sml+ \
	  ||  (echo 'error: zero-length dictionary generated'; \
	    rm -f english.sml+; exit 1)

english.med:	$(CONFIG)
english.med:	english.0
english.med:	american.0
english.med:	altamer.0

=== debian/changelog ===
ispell (3.4.00-6) unstable; urgency=medium

  * New 0037-CC-from-environment.patch from Helmut Grohne to fix cross builds
    failures by using maintainer supplied $(CC) (closes: #840715).
  * Bump debhelper's compat level to 10.
  * Switch Vcs-Browser to cgit, and use https in Vcs field.
  * Standards-Version 4.0.0 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 11 Jul 2017 21:01:26 +0200

ispell (3.4.00-5) unstable; urgency=medium

  * Add 0035-Force-text-grep-in-munchlist.patch to pass the `-a' flag to grep
    invocations not to fail on national characters (closes: #816572, #815160).
  * Add 0036-Reproducible-hashes.patch to hopefully make builds of hashes
    reproducible (closes: #778862).
  * debian/rules: Enable all hardening flags.
  * debian/control:
    + use https for Vcs-Browser field;
    + bump Standards-Version to 3.9.7.

 -- Robert Luberda <robert@debian.org>  Fri, 04 Mar 2016 08:34:01 +0100

ispell (3.4.00-4) unstable; urgency=medium

  * Update 0031-Initialize-table.patch to fix another issue with uninitialized
    memory causing unreproducible builds of ispell hashes (closes: #795606).
  * Add 0034-Fix-munchlist-failure.patch not to fail munchlist when there are
    no roots with multiple cross-product flags (closes: #794152).
  * Introduce lintian override for bogus `hardening-no-fortify-functions
    usr/bin/ijoin'.

 -- Robert Luberda <robert@debian.org>  Mon, 26 Oct 2015 00:27:36 +0100

ispell (3.4.00-3) unstable; urgency=medium

  * Upload to unstable.

 -- Robert Luberda <robert@debian.org>  Sat, 20 Jun 2015 11:15:32 +0200

ispell (3.4.00-2) experimental; urgency=medium

  * Add preinst script for dictionaries packages to remove files
    from /var/lib/ispell created by earlier versions to limit the
    chances of `directory not empty' dpkg warnings (see #781068),
    and create the directory in postinst scripts instead.
  * Drop the previous postinst code introduced in 3.3.06-2 to migrate
    ibritish and iamerican documentation dirs into symlinks.
  * Simplify debian/rules a bit, and add support for cross-compiling.
  * Fix DEP5 headers in debian/copyright.

 -- Robert Luberda <robert@debian.org>  Wed, 08 Apr 2015 21:44:39 +0200

ispell (3.4.00-1) experimental; urgency=medium

  * New upstream version.
  * Remove no longer needed patches:
    005-Do-not-reorder-words, 0012-Fix-getline, 0017-Destdir-support,
    0019-Section-of-english-manpage, 0025-Languages.
  * Remove most of 0007-Use-termios.patch, as ispell supports termios
    by its own.
  * Update 0001-Configuration.patch to use -ltinfo instead of -lncurses,
    and 0015-CFLAFS-from-environment & 0018-Dont-strip-binaries to make
    the changes in defrmatters/Makefile.
  * Update debian/localMakefile.languages.inc for new version and pass
    `-n' to gzip to make builds reproducible.
  * english(5) man page has been removed by upstream, remove references
    to it from debian/ directory.
  * Add 0031-Initialize-table.patch which initializes buildhash tables to
    zero to make .hash files reproducible (closes: #778862).
  * Add 0032-Check-munchlist-errors.patch to break munchlist as soon as
    an error occurs (closes: #301205).
  * New 0033-Fix-NULL-pointer-dereference.patch to fix ispell crash occurring
    on hash tables built without prior call to munchlist (closes: #561089).
  * Switch to debhelper v9.
  * Drop debian/TODO.Debian - its items were copied from Debian BTS, some
    of them have been resolved already.
  * debian/rules: handle CPPFLAGS environment variable and enable LFS
    support (lintian).
  * debian/control:
    + fix a typo in british-small description (closes: #745297);
    + update dependencies on dictionaries-common-dev, wordlist packages,
      and use ${ispell:Depends} instead of hard-coded dependencies on
      ispell and dictionaries-common;
    + bump Standards-Version to 3.9.6.

 -- Robert Luberda <robert@debian.org>  Sat, 21 Mar 2015 11:05:08 +0100

=== debian/control ===
Source: ispell
Section: text
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: bison,
               debhelper (>= 10),
               dictionaries-common-dev (>= 1.23~),
               libncurses5-dev
Build-Depends-Indep: wamerican (>= 7.1),
                     wamerican-huge (>= 7.1),
                     wamerican-insane (>= 7.1),
                     wamerican-large (>= 7.1),
                     wamerican-small (>= 7.1),
                     wbritish (>= 7.1),
                     wbritish-huge (>= 7.1),
                     wbritish-insane (>= 7.1),
                     wbritish-large (>= 7.1),
                     wbritish-small (>= 7.1)
Standards-Version: 4.0.0
Homepage: http://www.lasr.cs.ucla.edu/geoff/ispell.html
Vcs-Git: https://anonscm.debian.org/git/users/robert/ispell.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/robert/ispell.git/

Package: ispell
Architecture: any
Multi-Arch: foreign
Depends: ${ispell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: iamerican | ispell-dictionary, wamerican | wordlist
Breaks: iamerican (<= 3.1.20.0-9),
        ibritish (<= 3.1.20.0-9),
        ibulgarian (<= 3.0-12),
        iczech (<= 20040229-5),
        idanish (<= 1.6.25-1),
        iestonian (<= 1:20030606-12.1),
        ifinnish (<= 0.7-17.3),
        ifinnish-large (<= 0.7-17.3),
        ifrench (<= 1.4-25),
        ifrench-gut (<= 1:1.0-27),
        igaelic (<= 0.50-7),
        ihungarian (<= 0.99.4-2),
        iirish (<= 2.0-20),
        iitalian (<= 1:2.3-2),
        imanx (<= 0.50-8),
        inorwegian (<= 2.0.10-3.2),
        iogerman (<= 1:2-26),
        ipolish (<= 20100612-1),
        irussian (<= 0.99g5-8.1),
        iswedish (<= 1.4.5-2),
        iukrainian (<= 1.6.0-1)
Suggests: spell
Description: International Ispell (an interactive spelling corrector)
 Ispell corrects spelling in plain text, LaTeX, sgml/html/xml, and nroff files.
 [x]Emacs and jed have nice interfaces to ispell, and ispell works from many
 other tools and from the command line as well.
 .
 No ispell dictionaries are included in this package; you must install
 at least one of them ("iamerican" is recommended by default for no good
 reason); install the "ispell-dictionary" package(s) for the language(s)
 you and your users will want to spell-check.
 .
 It's a good idea to install "word list" package(s) for the same language(s),
 because they'll be used by ispell's (L)ookup command.

Package: ienglish-common
Architecture: all
Depends: ispell (>= 3.3.02), ${ispell:Depends}, ${misc:Depends}
Recommends: iamerican | iamerican-small | iamerican-large | iamerican-huge | iamerican-insane | ibritish | ibritish-small | ibritish-large | ibritish-huge | ibritish-insane
Description: Common files for British and American ispell dictionaries
 This package provides common files and dependencies for all American and
 British ispell dictionary packages. The package is useless if none of the
 dictionaries is also installed.

Package: iamerican
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wamerican
Provides: ispell-dictionary
Description: American English dictionary for ispell (standard version)
 This package provides the standard, medium-sized American English dictionary,
 based on the americanmed+ dictionary supplied with the source for ispell,
 with additional words added from the more comprehensive wamerican word
 list package.
 .
 There are also -small, -large, -huge, and -insane versions of this dictionary,
 and there are ibritish* packages as well.
 .
 The package also suggests wamerican because ispell's (L)ookup command
 needs a word list.

Package: ibritish
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wbritish
Provides: ispell-dictionary
Description: British English dictionary for ispell (standard version)
 This package provides the standard, medium-sized British English dictionary,
 based on the britishmed+ dictionary supplied with the source for ispell, with
 additional words added from the more comprehensive wbritish word list package.
 .
 There are also -small, -large, -huge, and -insane versions of this dictionary,
 and there are iamerican* packages as well.
 .
 The package also suggests wbritish because ispell's (L)ookup command
 needs a word list.

Package: iamerican-small
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wamerican-small
Provides: ispell-dictionary
Description: American English dictionary for ispell (small)
 This package provides the american-small dictionary, based on the americansml+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wamerican-small word list package.
 .
 This is smaller dictionary than the one installed by iamerican. Nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -large, -huge, -insane, and standard versions of this
 dictionary, and there are ibritish* packages as well.
 .
 The package also suggests wamerican-small because ispell's (L)ookup
 command needs a word list.

Package: ibritish-small
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wbritish-small
Provides: ispell-dictionary
Description: British English dictionary for ispell (small)
 This package provides the british-small dictionary, based on the britishsml+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wbritish-small word list package.
 .
 This is smaller dictionary than the one installed by ibritish. Nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -large, -huge, -insane, and standard versions of this
 dictionary, and there are iamerican* packages as well.
 .
 The package also suggests wbritish-small because ispell's (L)ookup command
 needs a word list.

Package: iamerican-large
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wamerican-large
Provides: ispell-dictionary
Description: American English dictionary for ispell (large)
 This package provides the american-large dictionary, based on the americanlrg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wamerican-large word list package.
 .
 This is larger dictionary than the one installed by iamerican. Nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -small, -huge, -insane, and standard versions of this
 dictionary, and there are ibritish* packages as well.
 .
 The package also suggests wamerican-large because ispell's (L)ookup
 command needs a word list.

Package: ibritish-large
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wbritish-large
Provides: ispell-dictionary
Description: British English dictionary for ispell (large)
 This package provides the british-large dictionary, based on the britishlrg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wbritish-large word list package.
 .
 This is larger dictionary than the one installed by ibritish. Nothing
 prevents you installing both (and others) at the same time.
 .
 There are also -small, -huge, -insane, and standard versions of this
 dictionary, and there are iamerican* packages as well.
 .
 The package also suggests wbritish-large because ispell's (L)ookup command
 needs a word list.

Package: iamerican-huge
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wamerican-huge
Provides: ispell-dictionary
Description: American English dictionary for ispell (huge)
 This package provides the american-huge dictionary, based on the americanxlg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wamerican-huge word list package.
 .
 This is an even larger dictionary than the one installed by
 iamerican-large. Nothing prevents you installing both (and others) at the
 same time.
 .
 There are also -small, -large, -insane, and standard versions of this
 dictionary, and there are ibritish* packages as well.
 .
 The package also suggests wamerican-huge because ispell's (L)ookup command
 needs a word list.

Package: ibritish-huge
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wbritish-huge
Provides: ispell-dictionary
Description: British English dictionary for ispell (huge)
 This package provides the british-huge dictionary, based on the britishxlg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wbritish-huge word list package.
 .
 This is an even larger dictionary than the one installed by
 ibritish-large. Nothing prevents you installing both (and others) at the
 same time.
 .
 There are also -small, -large, -insane, and standard versions of this
 dictionary, and there are iamerican* packages as well.
 .
 The package also suggests wbritish-huge because ispell's (L)ookup command
 needs a word list.

Package: iamerican-insane
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wamerican-insane
Provides: ispell-dictionary
Description: American English dictionary for ispell (insane version)
 This package provides the american-insane dictionary, based on the
 americanxlg+ dictionary supplied with the source for ispell, with additional
 words added from the more comprehensive wamerican-insane word list package.
 .
 This is an even larger dictionary than the one installed by iamerican-huge,
 and possibly contains invalid words (as well as words that are very
 uncommon). Nothing prevents you installing both (and others) at the same time.
 .
 There are also -small, -large, -huge, and standard versions of this
 dictionary, and there are ibritish* packages as well.
 .
 The package also suggests wamerican-huge because ispell's (L)ookup command
 needs a word list.

Package: ibritish-insane
Architecture: all
Depends: ienglish-common (= ${source:Version}),
         ${ispell:Depends},
         ${misc:Depends}
Suggests: wbritish-insane
Provides: ispell-dictionary
Description: British English dictionary for ispell (insane version)
 This package provides the british-insane dictionary, based on the britishxlg+
 dictionary supplied with the source for ispell, with additional words added
 from the more comprehensive wbritish-insane word list package.
 .
 This is an even larger dictionary than the one installed by ibritish-huge,
 and possibly contains invalid words (as well as words that are very
 uncommon). Nothing prevents you installing both (and others) at the same time.
 .
 There are also -small, -large, -huge, and standard versions of this
 dictionary, and there are iamerican* packages as well.
 .
 The package also suggests wbritish-huge because ispell's (L)ookup command
 needs a word list.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
SHELL                   := sh -e
CFLAGS                  := $(shell dpkg-buildflags --get CPPFLAGS) \
                           $(shell dpkg-buildflags --get CFLAGS)   \
                           $(shell getconf LFS_CFLAGS)             \
                           -Wall
LDFLAGS                 := $(shell dpkg-buildflags --get LDFLAGS)
DH_AUTO_OPTIONS         := -v -Smakefile
GEN_DH_FILES            := debian/packages.d/gen_debhelper_files.pl
export DESTDIR          := $(CURDIR)/debian/tmp

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CC  := $(DEB_HOST_GNU_TYPE)-gcc
else
  CC  := gcc
endif

MAKE_OPTIONS :=  CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"


%:
	dh ${@}

override_dh_auto_clean:
	rm -f debian/*.stamp debian/*.config debian/*.templates *.mwl*
	
	for dir in . languages/*; do                                    \
	        [ ! -d $$dir ] || $(MAKE) -C $$dir clean dictclean;     \
	done
	
	[ ! -f Makefile ] || $(MAKE) realclean
	-find . -name "*~" -delete
	
	rm -f local.h defhash.h
	
	$(GEN_DH_FILES) clean

override_dh_installdocs-arch:
	dh_installdocs -a

override_dh_installdocs-indep:
	dh_installdocs -i  --link-doc=ienglish-common
	

debian/packages.stamp: $(wildcard debian/packages.d/*.in) $(GEN_DH_FILES) debian/rules debian/control
	perl $(GEN_DH_FILES) generate
	touch "$@"


debian/build-common.stamp: debian/packages.stamp
	@echo "*** Building common files"
	
	ln -sf local.h.linux local.h
	
	dh_auto_build $(DH_AUTO_OPTIONS) --no-parallel -- $(MAKE_OPTIONS)      \
	                config.sh
	
	dh_auto_build $(DH_AUTO_OPTIONS) --parallel -- $(MAKE_OPTIONS)         \
	                programs defmt-programs showversion ispell.1 ispell.5
	touch "$@"

override_dh_auto_build-arch: debian/build-common.stamp

override_dh_auto_build-indep: debian/build-common.stamp
	@echo "*** Building arch:all files"
	dh_auto_build $(DH_AUTO_OPTIONS) --no-parallel -- $(MAKE_OPTIONS) all-languages
	
	$(MAKE) -f debian/rules american.xxl+.mwl british.xxl+.mwl

override_dh_prep: debian/packages.stamp
	dh_prep

override_dh_auto_install-arch:
	@echo "*** Installing data into arch:any packages"
	
# Note: do not call dh_auto_install, as it automatically pulls `install' target
	$(MAKE) $(MAKE_OPTIONS) DESTDIR="$(DESTDIR)"  \
	        install-basic install-deformatters install-dictbuild
	
override_dh_auto_install-indep:
	@echo "*** Installing data into arch:all packages"
	
	$(MAKE) $(MAKE_OPTIONS) DESTDIR="$(DESTDIR)"  \
	        install-languages
	
	mv $(DESTDIR)/usr/lib/ispell/english.aff $(DESTDIR)/usr/share/ispell/english.aff
	
	set -e; \
	for lang in american british ; do \
	   cp -a $$lang.xxl+.mwl $(DESTDIR)/usr/share/ispell/$$lang.xxl+.mwl; \
	   gzip -9nf $(DESTDIR)/usr/share/ispell/$$lang.xxl+.mwl; \
	done
	
	set -e; \
	for infofile in debian/*.info-ispell; do \
	        installdeb-ispell --package=`basename $$infofile .info-ispell`; \
	done

override_dh_install:
	dh_install --fail-missing


american.xxl+.mwl british.xxl+.mwl  : languages/english/english.aff
american.xxl+.mwl  : languages/american/american.xlg+ /usr/share/dict/american-english-insane
british.xxl+.mwl   : languages/british/british.xlg+   /usr/share/dict/british-english-insane

%.mwl:
	# Note: assumes that affix file is the first prerequisite
	./munchlist -v -T utf8 -l   $^ > $@.tmp
	mv -f $@.tmp $@

.PHONY: override_dh_auto_build-arch override_dh_auto_build-indep               \
        override_dh_auto_install-arch override_dh_auto_install-indep           \
        override_dh_installdocs-arch override_dh_installdocs-indep             \
        override_dh_prep override_dh_auto_clean override_dh_install

=== debian/watch ===
version=3
http://www.lasr.cs.ucla.edu/geoff/tars/ispell-(\d+.*)\.tar\.gz
